Summary:        Python library for the NETCONF protocol
Name:           python-ncclient
Version:        0.6.13
Release:        3%{?dist}
License:        Apache-2.0 AND Unlicense
URL:            https://github.com/ncclient/ncclient
Source0:         %{url}/archive/v%{version}/ncclient-%{version}.tar.gz

BuildArch:      noarch

BuildRequires: python3-devel


%description
ncclient is a Python library that facilitates client-side scripting and
application development around the NETCONF protocol. ncclient was developed by
Shikar Bhushan.net). It is now maintained by Leonidas Poulopoulos (@leopoul)
and Einar Nilsen-Nygaard (@einarnn).

Docs: http://ncclient.readthedocs.org

PyPI: https://pypi.python.org/pypi/ncclient


%package -n python3-ncclient
Summary:        %{summary}

%description -n python3-ncclient
ncclient is a Python library that facilitates client-side scripting and
application development around the NETCONF protocol. ncclient was developed by
Shikar Bhushan.net). It is now maintained by Leonidas Poulopoulos (@leopoul)
and Einar Nilsen-Nygaard (@einarnn).

Docs: http://ncclient.readthedocs.org

PyPI: https://pypi.python.org/pypi/ncclient


%prep
%autosetup -n ncclient-%{version}
%py3_shebang_fix examples

sed -r -i '/^nose\b/d' test-requirements.txt
sed -r -i '/^(flake8|pytest-cov)\b/d' test-requirements.txt
sed -r -i 's/==/>=/' docs/requirements.txt
echo 'intersphinx_mapping.clear()' >> docs/conf.py



%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ncclient


%check
%tox

 
%files -n python3-ncclient -f %{pyproject_files}


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.13-3
- Rebuilt for loongarch release

* Thu Sep 28 2023 cunshunxia <cunshunxia@tencent.com> - 0.6.13-2
- remove versioneer to provide dist version

* Wed Sep 27 2023 cunshunxia <cunshunxia@tencent.com> - 0.6.13-1
- initial build
